Package Details: textroom 0.8.2-9

Git Clone URL: https://aur.archlinux.org/textroom.git (read-only)
Package Base: textroom
Description: Full Screen text editor heavily inspired by Q10 and JDarkRoom
Upstream URL: http://code.google.com/p/textroom/
Licenses: GPL3
Submitter: guital
Maintainer: haawda
Last Packager: haawda
Votes: 31
Popularity: 0.000003
First Submitted: 2009-10-30 10:02
Last Updated: 2016-06-08 18:36

Required by (0)

Sources (5)

Latest Comments

haawda commented on 2016-01-24 17:53

Adopted again, please try the new PKGBUILD.

rspbrry-pancakes commented on 2016-01-18 01:26

The major rewrite of the PKGBUILD attempts to patch the makefiles, but those get generated by qmake in a later step and don't exist yet. Still has errors compiling.

haawda commented on 2016-01-10 13:04

Thanks, fixed with a major rewrite of the PKGBUILD.

rudism commented on 2016-01-10 00:36

No longer compiles against the latest version of libxml++ (2.40.1-1). Adding -std=c++11 to the CXXFLAGS in application/Makefile and library/Makefile fixed it for me.

haawda commented on 2014-05-28 21:14

Sure, thanks. also applied to textroom-svn.

steinkrauz commented on 2014-05-28 12:03

It looks like upstream is dead (I couldn't even open a new issue there), so could you please include a patch in the package to fix a spell-checker?
http://pastebin.com/g145RMUR

haawda commented on 2013-03-01 20:53

Update for qmake-qt4.

haawda commented on 2013-02-24 14:53

Another important file is /etc/locale.gen.

Anonymous comment on 2013-02-24 13:42

etc/locale.conf
LANG="fr_FR.UTF-8"
It did work but suddenly changed after recently updating the system.

haawda commented on 2013-02-23 23:38

Cannot confirm. Please check your locale.

Anonymous comment on 2013-02-23 23:14

Problem with french accentuation: ê & ë give ^e & "e

haawda commented on 2012-06-03 08:45

Strange, I indeed had freglut intalled. But when I deinstalled it, I still could build textroom. GL/gl.h is included in mesa. I will ad that to the makedependencies.

Anonymous comment on 2012-06-03 07:27

I think there is some OpenGL dependency missing in PKGBUILD. I kept getting error about non-existing GL/gl.h during make. Then I installed freeglut and it went away.

eigengrau commented on 2012-05-03 11:19

Thank you kindly!

haawda commented on 2012-05-02 16:00

fixed

eigengrau commented on 2012-05-02 08:17

Not building for me. I'm getting:
> sxfile/getusername.cpp: In function 'QString currentUserNameUnix()':
> sxfile/getusername.cpp:35:38: error: 'geteuid' was not declared in this scope

haawda commented on 2012-03-25 08:35

:)

tastyminerals commented on 2012-03-24 23:38

actually, it's me >_<

haawda commented on 2012-03-21 23:05

You are not alone, see http://code.google.com/p/textroom/issues/detail?id=85.

tastyminerals commented on 2012-03-21 20:30

all dependencies are installed, shall try silent

haawda commented on 2012-03-20 23:42

mountpeaks, this does not happen here. Are you sure you have sdl_mixer installed? Should me installed as dependency, though.

On upstream's homepage there is a silent version vom 0.8.

tastyminerals commented on 2012-03-20 18:26

getting message
"unable to open audio!"

app exits, any ideas how to fix?

haawda commented on 2011-12-04 18:33

Beside some package cosmetics I removed the hunspell files, because there already is a package hunspell-tr in AUR and such files should not be included here.

haawda commented on 2011-12-04 18:03

But the "|| return 1" is not needed.

haawda commented on 2011-12-04 16:57

But the "|| return 1" is not needed.

ypoluektovich commented on 2011-12-04 13:44

Updated the PKGBUILD:
- added "sed 's/linux-g++/unix/' -i application/application.pro || return 1" to build()
- added missing dependencies: libxml++ and curl (namcap said so)
- added .install file with "update-desktop-database -q" (namcap said so :)

Hope it'll at least build well now.

Anonymous comment on 2011-11-14 10:32

thx))

Anonymous comment on 2011-11-11 19:33

As vnoel said, just add "sed 's/linux-g++/unix/' -i application/application.pro || return 1" in build() section of PKGBUILD, before "make" command. :)

Anonymous comment on 2011-11-11 18:04

samaelh, can you post here code, wich you add in pkgbuild ?

Anonymous comment on 2011-11-08 22:25

Same error here. libxml++ was installed, but it didn't fix anything. I added vnoel sed command-line in PKGBUILD, and it worked perfectly :)

Anonymous comment on 2011-10-06 19:36

Make failed on libxml++ dependency. Installation of libxml++ package from repo fixed it, so I guess adding the dependency is (now?) enough.

Anonymous comment on 2011-10-06 19:36

Make failed on libxml++ dependency. Installation of libxml++ package from repo fixed it, so I guess adding the dependency is (now?) enough.

cochise commented on 2011-09-11 20:39

The package depnds of libxml++ and glibmm but both don't generate normal includes.
The includes of libxml++ are in /usr/include/libxml++-2.6.libxml++/
The includes of glibmm are in /usr/include/glimm-2.4/glibmm/

And now we are in hell. Is not only the textroom with problems.
The glibmm refers a glibmmconfih.h hwo is not in my filesistem and refers glib, but one more time include/glib is in include/glib-2.0/glib
And now we go...
All includes for glib and glibmm are without the "package-version/"

vnoel commented on 2011-07-20 15:26

And hunspell is 1.3 now.

Here is a new version of the PKGBUILD:
http://pastebin.com/nzuKpNNN

vnoel commented on 2011-07-20 15:12

and replacing the linux-g++ scope by unix fixes it:
sed 's/linux-g++/unix/' -i application/application.pro || return 1

I don't know why it wasn't matching…

vnoel commented on 2011-07-20 15:04

Hi, with the proposed PKGBUILD for 0.8.2 I get this error:
make[1]: Entering directory `/home/victor/code/pkgbuild/textroom/src/textroom-0.8.2/application'
g++ -c -m64 -pipe -march=x86-64 -mtune=generic -O2 -pipe -fno-strict-aliasing -Wall -W -D_REENTRANT -DQT_NO_DEBUG -DQT_SVG_LIB -DQT_XML_LIB -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt/mkspecs/linux-g++-64 -I. -I/usr/include/QtCore -I/usr/include/QtGui -I/usr/include/QtOpenGL -I/usr/include/QtXml -I/usr/include/QtSvg -I/usr/include -I../library -I../library/qmodeladaptor -I../library/qdomutils -I../library/extra/creole -I../library/sxfile -Isrc/include -Isrc -I/home/victor/code/pkgbuild/textroom/src/textroom-0.8.2/application/usr/include -I/home/victor/code/pkgbuild/textroom/src/textroom-0.8.2/application/usr/include/hunspell -I/home/victor/code/pkgbuild/textroom/src/textroom-0.8.2/application/usr/include/SDL -I/usr/X11R6/include -I../moc -I../uic -o obj-debug/googledocs.o src/googledocs.cpp
In file included from src/gdata/client/../client/service.h:32:0,
from src/gdata/client/doc_list_service.h:31,
from src/googledocs.cpp:39:
src/gdata/client/../client/../atom_helper.h:27:31: fatal error: libxml++/libxml++.h: No such file or directory
compilation terminated.
make[1]: *** [obj-debug/googledocs.o] Error 1
make[1]: Leaving directory `/home/victor/code/pkgbuild/textroom/src/textroom-0.8.2/application'
make: *** [sub-application-make_default-ordered] Error 2

Anonymous comment on 2011-03-19 07:30


I updated the PKGBUILD for textroom 0.8.2: http://pastebin.com/8zJ6QVLc

guital commented on 2010-09-25 22:19

@supulton

Thanks for the bug squashing!
PKGBUILD updated

Anonymous comment on 2010-09-25 20:24

In order to get the spell-check feature working, I had to install hunspell-en-us from AUR (http://aur.archlinux.org/packages.php?ID=18052) and change a couple lines from the source (see this issue: http://code.google.com/p/textroom/issues/detail?id=54). Here's the updated PKGBUILD with the dictionary fix:
http://pastebin.com/gdQftE59

guital commented on 2010-05-27 20:04

@archspeps

Thanks a lot for the notification and the fixes. I just uploaded the new PKGBUILD!

speps commented on 2010-05-27 17:24

@guital

New version 0.6.5 is out. It needs some fixes.

A working, fixed PKGBUILD is here:

http://aur.pastebin.com/fHdnLfAA

C ya